commit:     e40a946228b65e03dc41d5aa6dfb7fbcdab5b634
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Jan 15 04:18:32 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 19 13:32:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e40a9462

dev-python/indexed_gzip: version bump 0.8.10, bug #696652

Package-Manager: Portage-2.3.83, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
Closes: https://bugs.gentoo.org/696652
Closes: https://github.com/gentoo/gentoo/pull/14339
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/indexed_gzip/Manifest                   |  1 +
 dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 72b2a3f1cb2..124e83f4757 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
+DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B 
ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6
 SHA512 
cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
 DIST indexed_gzip-0.8.7.tar.gz 77640 BLAKE2B 
ff35693204a41df439b835f232b4e0ad5ceab19532a7f1f4a4aba5cfd810f447ea56c0f6cc0c5600f32317c5a4f4283a3dd5bc791dc9aec5742303728e76ecc2
 SHA512 
90872898b69269f42d28f61f7840879c1942060da923e8d5480c4f99feb160c1b03412378b1dda3cdf94f64434d81e4cdc524e19c268797f11444362149d0e18

diff --git a/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild 
b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
new file mode 100644
index 00000000000..e1805440987
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-0.8.10.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip";
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+       "
+RDEPEND=""
+
+src_compile() {
+       if use test; then
+               export INDEXED_GZIP_TESTING=1
+       fi
+       distutils-r1_src_compile
+}
+
+python_test() {
+       cp conftest.py "${BUILD_DIR}" || die
+       cd "${BUILD_DIR}" || die
+       pytest -vv --nelems 500000 --niters 250 || die
+}

Reply via email to